Create Variant
curl --request POST \
--url https://api.vellaro.io/api/v1/admin/products/{product_id}/variants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sku": "<string>",
"price": 123,
"name": "<string>",
"compare_at_price": 123,
"sale_price": 123,
"sale_start": "2023-11-07T05:31:56Z",
"sale_end": "2023-11-07T05:31:56Z",
"stock": 0,
"track_inventory": true,
"allow_backorder": false,
"weight": 123,
"barcode": "<string>",
"attributes": {},
"is_active": true
}
'import requests
url = "https://api.vellaro.io/api/v1/admin/products/{product_id}/variants"
payload = {
"sku": "<string>",
"price": 123,
"name": "<string>",
"compare_at_price": 123,
"sale_price": 123,
"sale_start": "2023-11-07T05:31:56Z",
"sale_end": "2023-11-07T05:31:56Z",
"stock": 0,
"track_inventory": True,
"allow_backorder": False,
"weight": 123,
"barcode": "<string>",
"attributes": {},
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sku: '<string>',
price: 123,
name: '<string>',
compare_at_price: 123,
sale_price: 123,
sale_start: '2023-11-07T05:31:56Z',
sale_end: '2023-11-07T05:31:56Z',
stock: 0,
track_inventory: true,
allow_backorder: false,
weight: 123,
barcode: '<string>',
attributes: {},
is_active: true
})
};
fetch('https://api.vellaro.io/api/v1/admin/products/{product_id}/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"name": "<string>",
"price": "<string>",
"compare_at_price": "<string>",
"sale_price": "<string>",
"sale_start": "2023-11-07T05:31:56Z",
"sale_end": "2023-11-07T05:31:56Z",
"stock": 123,
"track_inventory": true,
"allow_backorder": true,
"weight": "<string>",
"barcode": "<string>",
"attributes": {},
"is_active": true,
"created_at": "2023-11-07T05:31:56Z"
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}admin
Create Variant
POST
/
api
/
v1
/
admin
/
products
/
{product_id}
/
variants
Create Variant
Autorizzazioni
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parametri del percorso
Corpo
application/json
⌘I